| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
AlgContextSvc Class Reference

`#include <src/AlgContextSvc.h>`

Inheritance diagram for AlgContextSvc:
[legend]
Collaboration diagram for AlgContextSvc:
[legend]

## Public Member Functions
StatusCode | setCurrentAlg (IAlgorithm *a, const EventContext &context) override
| set the currently executing algorithm ("push_back") More...
StatusCode | unSetCurrentAlg (IAlgorithm *a, const EventContext &context) override
| remove the algorithm ("pop_back") More...
IAlgorithm * | currentAlg () const override
| accessor to current algorithm: More...
const IAlgContextSvc::Algorithms & | algorithms () const override
| get the stack of executed algorithms More...
void | handle (const Incident &) override
| handle incident More...
StatusCode | initialize () override
| standard initialization of the service More...
StatusCode | start () override
StatusCode | finalize () override
| standard finalization of the service More...
Public Member Functions inherited from extends< Service, IAlgContextSvc, IIncidentListener >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, std::string toolTypeAndName, bool createIf=true)
| Declare used tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Public Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
MSG::Level | msgLevel () const
| get the cached level (originally extracted from the embedded MsgStream) More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const
| Backward compatibility function for getting the output level. More...
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
const SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...

## Private Member Functions
| AlgContextSvc ()=delete
| AlgContextSvc (const AlgContextSvc &)=delete
AlgContextSvc & | operator= (const AlgContextSvc &)=delete

## Private Attributes
boost::thread_specific_ptr< IAlgContextSvc::Algorithms > | m_algorithms
| the stack of current algorithms More...
SmartIF< IIncidentSvc > | m_inc = nullptr
| pointer to Incident Service More...
Gaudi::Property< bool > | m_check {this, "Check", true, "Flag to perform more checks"}
Gaudi::Property< bool > | m_bypassInc
std::vector< int > | m_inEvtLoop

## Additional Inherited Members
Public Types inherited from extends< Service, IAlgContextSvc, IIncidentListener >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
using | Factory = Gaudi::PluginService::Factory< IService *(const std::string &, ISvcLocator *)>
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
MSG::Level | setUpMessaging () const
| Set up local caches. More...
MSG::Level | resetMessaging ()
| Reinitialize internal states. More...
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, " unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Detailed Description

Definition at line 33 of file AlgContextSvc.h.

## Constructor & Destructor Documentation

## ◆ AlgContextSvc() [1/2]

AlgContextSvc::AlgContextSvc | ( |  | ) |
| private delete

## ◆ AlgContextSvc() [2/2]

AlgContextSvc::AlgContextSvc | ( | const AlgContextSvc & |  | ) |
| private delete

## Member Function Documentation

## ◆ algorithms()

const IAlgContextSvc::Algorithms& AlgContextSvc::algorithms | ( |  | ) | const
| inline override

get the stack of executed algorithms

See also
  IAlgContextSvc

Definition at line 42 of file AlgContextSvc.h.

42 { return *m_algorithms; }
AlgContextSvc::m_algorithms
boost::thread_specific_ptr< IAlgContextSvc::Algorithms > m_algorithms
the stack of current algorithms
Definition: AlgContextSvc.h:66

## ◆ currentAlg()

IAlgorithm * AlgContextSvc::currentAlg | ( |  | ) | const
| override

accessor to current algorithm:

See also
  IAlgContextSvc

Definition at line 146 of file AlgContextSvc.cpp.

146 {
147 return ( m_algorithms.get() && !m_algorithms->empty() ) ? m_algorithms->back() : nullptr;
148 }
AlgContextSvc::m_algorithms
boost::thread_specific_ptr< IAlgContextSvc::Algorithms > m_algorithms
the stack of current algorithms
Definition: AlgContextSvc.h:66

## ◆ finalize()

StatusCode AlgContextSvc::finalize | ( |  | ) |
| override

standard finalization of the service

See also
  IService

Definition at line 85 of file AlgContextSvc.cpp.

85 {
86 if ( m_algorithms.get() && !m_algorithms->empty() ) {
87 warning() << "Non-empty stack of algorithms #" << m_algorithms->size() << endmsg;
88 }
89 // Incident Service
90 if ( m_inc ) {
91 m_inc->removeListener( this );
92 m_inc.reset();
93 }
94 // finalize the base class
95 return Service::finalize();
96 }
Service::finalize
StatusCode finalize() override
Definition: Service.cpp:164
CommonMessagingBase::warning
MsgStream & warning() const
shortcut for the method msgStream(MSG::WARNING)
Definition: CommonMessaging.h:101
AlgContextSvc::m_inc
SmartIF< IIncidentSvc > m_inc
pointer to Incident Service
Definition: AlgContextSvc.h:68
AlgContextSvc::m_algorithms
boost::thread_specific_ptr< IAlgContextSvc::Algorithms > m_algorithms
the stack of current algorithms
Definition: AlgContextSvc.h:66
SmartIF::reset
void reset(TYPE *ptr=nullptr)
Set the internal pointer to the passed one disposing of the old one.
Definition: SmartIF.h:86
IIncidentSvc::removeListener
virtual void removeListener(IIncidentListener *lis, const std::string &type="")=0
Remove listener.
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## ◆ handle()

void AlgContextSvc::handle | ( | const Incident & | inc | ) |
| override

handle incident

See also
  IIncidentListener

Definition at line 152 of file AlgContextSvc.cpp.

152 {
153 // some false sharing is possible but it should be negligable
154 auto currSlot = inc.context().slot();
155 if ( currSlot == EventContext::INVALID_CONTEXT_ID ) { currSlot = 0; }
156 if ( inc.type() == "BeginEvent" ) {
157 m_inEvtLoop[currSlot] = 1;
158 } else if ( inc.type() == "EndEvent" ) {
159 m_inEvtLoop[currSlot] = 0;
160 }
161
162 // This check is invalidated with RTTI AlgContext object.
163 // Whole service needs to be rewritten. Commenting the error until then
164 // to prevent test failures.
165 // if ( m_algorithms.get() && !m_algorithms->empty() ) {
166 // //skip incident processing algorithm endevent incident
167 // if((m_algorithms->size()!=1) ||
168 // (m_algorithms->back()->type()!="IncidentProcAlg")){
169 // error() << "Non-empty stack of algorithms #"
170 // << m_algorithms->size() << endmsg ;
171 // }
172 // }
173 }
AlgContextSvc::m_inEvtLoop
std::vector< int > m_inEvtLoop
Definition: AlgContextSvc.h:73
EventContext::slot
ContextID_t slot() const
Definition: EventContext.h:41
Incident::type
const std::string & type() const
Access to the incident type.
Definition: Incident.h:38
Incident::context
EventContext context() const
Access to the EventContext of the source of the incident.
Definition: Incident.h:50
EventContext::INVALID_CONTEXT_ID
static constexpr ContextID_t INVALID_CONTEXT_ID
Definition: EventContext.h:29

## ◆ initialize()

StatusCode AlgContextSvc::initialize | ( |  | ) |
| override

standard initialization of the service

Instantiation of a static factory class used by clients to create instances of this service.

See also
  IService

Definition at line 31 of file AlgContextSvc.cpp.

31 {
32 // Initialize the base class
33 StatusCode sc = Service::initialize();
34 if ( sc.isFailure() ) { return sc; }
35 // Incident Service
36 if ( m_inc ) {
37 m_inc->removeListener( this );
38 m_inc.reset();
39 }
40 // perform more checks?
41 auto numSlots = Gaudi::Concurrency::ConcurrencyFlags::numConcurrentEvents();
42 numSlots = ( 1 > numSlots ) ? 1 : numSlots;
43 if ( numSlots > 1000 ) {
44 warning() << "Num Slots are greater than 1000. Is this correct? numSlots=" << numSlots << endmsg;
45 numSlots = 1000;
46 warning() << "Setting numSlots to " << numSlots << endmsg;
47 }
48 m_inEvtLoop.resize( numSlots, 0 );
49
50 if ( m_check ) {
51 m_inc = Service::service( "IncidentSvc", true );
52 if ( !m_inc ) {
53 error() << "Could not locate 'IncidentSvc'" << endmsg;
54 return StatusCode::FAILURE;
55 }
56 m_inc->addListener( this, IncidentType::BeginEvent );
57 m_inc->addListener( this, IncidentType::EndEvent );
58 }
59 if ( m_algorithms.get() && !m_algorithms->empty() ) {
60 warning() << "Non-empty stack of algorithms #" << m_algorithms->size() << endmsg;
61 }
62 return StatusCode::SUCCESS;
63 }
Service::initialize
StatusCode initialize() override
Definition: Service.cpp:60
AlgContextSvc::m_inEvtLoop
std::vector< int > m_inEvtLoop
Definition: AlgContextSvc.h:73
CommonMessagingBase::warning
MsgStream & warning() const
shortcut for the method msgStream(MSG::WARNING)
Definition: CommonMessaging.h:101
StatusCode::SUCCESS
constexpr static const auto SUCCESS
Definition: StatusCode.h:85
AlgContextSvc::m_inc
SmartIF< IIncidentSvc > m_inc
pointer to Incident Service
Definition: AlgContextSvc.h:68
AlgContextSvc::m_algorithms
boost::thread_specific_ptr< IAlgContextSvc::Algorithms > m_algorithms
the stack of current algorithms
Definition: AlgContextSvc.h:66
std::vector::resize
T resize(T... args)
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:98
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:50
IIncidentSvc::addListener
virtual void addListener(IIncidentListener *lis, const std::string &type="", long priority=0, bool rethrow=false, bool singleShot=false)=0
Add listener.
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86
Service::service
StatusCode service(const std::string &name, const T *&psvc, bool createIf=true) const
Access a service by name, creating it if it doesn't already exist.
Definition: Service.h:83
SmartIF::reset
void reset(TYPE *ptr=nullptr)
Set the internal pointer to the passed one disposing of the old one.
Definition: SmartIF.h:86
IIncidentSvc::removeListener
virtual void removeListener(IIncidentListener *lis, const std::string &type="")=0
Remove listener.
StatusCode::isFailure
bool isFailure() const
Definition: StatusCode.h:130
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192
Gaudi::Concurrency::ConcurrencyFlags::numConcurrentEvents
static GAUDI_API std::size_t numConcurrentEvents()
number of Concurrent Events (for MT)
Definition: ConcurrencyFlags.h:47
AlgContextSvc::m_check
Gaudi::Property< bool > m_check
Definition: AlgContextSvc.h:70

## ◆ operator=()

AlgContextSvc& AlgContextSvc::operator= | ( | const AlgContextSvc & |  | ) |
| private delete

## ◆ setCurrentAlg()

StatusCode AlgContextSvc::setCurrentAlg | ( | IAlgorithm * | a,
|  | const EventContext & | context
| ) |  |
| override

set the currently executing algorithm ("push_back")

See also
  IAlgContextSvc

Definition at line 100 of file AlgContextSvc.cpp.

100 {
101 if ( !a ) {
102 warning() << "IAlgorithm* points to NULL" << endmsg;
103 return StatusCode::RECOVERABLE;
104 }
105 if ( !m_bypassInc ) {
106 if ( !m_inEvtLoop[context.valid() ? context.slot() : 0] ) return StatusCode::SUCCESS;
107 }
108 // check whether thread-local algorithm list already exists
109 // if not, create it
110 if ( !m_algorithms.get() ) { m_algorithms.reset( new IAlgContextSvc::Algorithms() ); }
111 if ( a->type() != "IncidentProcAlg" ) m_algorithms->push_back( a );
112
113 return StatusCode::SUCCESS;
114 }
AlgContextSvc::m_inEvtLoop
std::vector< int > m_inEvtLoop
Definition: AlgContextSvc.h:73
EventContext::slot
ContextID_t slot() const
Definition: EventContext.h:41
IAlgorithm::type
virtual const std::string & type() const =0
The type of the algorithm.
CommonMessagingBase::warning
MsgStream & warning() const
shortcut for the method msgStream(MSG::WARNING)
Definition: CommonMessaging.h:101
AlgContextSvc::m_bypassInc
Gaudi::Property< bool > m_bypassInc
Definition: AlgContextSvc.h:71
StatusCode::RECOVERABLE
constexpr static const auto RECOVERABLE
Definition: StatusCode.h:87
StatusCode::SUCCESS
constexpr static const auto SUCCESS
Definition: StatusCode.h:85
EventContext::valid
bool valid() const
Definition: EventContext.h:44
AlgContextSvc::m_algorithms
boost::thread_specific_ptr< IAlgContextSvc::Algorithms > m_algorithms
the stack of current algorithms
Definition: AlgContextSvc.h:66
std::vector< IAlgorithm * >
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## ◆ start()

StatusCode AlgContextSvc::start | ( |  | ) |
| override

Definition at line 69 of file AlgContextSvc.cpp.

69 {
70 auto sc = Service::start();
71 auto numSlots = Gaudi::Concurrency::ConcurrencyFlags::numConcurrentEvents();
72 numSlots = ( 1 > numSlots ) ? 1 : numSlots;
73 if ( numSlots > 1000 ) {
74 warning() << "Num Slots are greater than 1000. Is this correct? numSlots=" << numSlots << endmsg;
75 numSlots = 1000;
76 }
77 m_inEvtLoop.resize( numSlots, 0 );
78
79 return sc;
80 }
AlgContextSvc::m_inEvtLoop
std::vector< int > m_inEvtLoop
Definition: AlgContextSvc.h:73
CommonMessagingBase::warning
MsgStream & warning() const
shortcut for the method msgStream(MSG::WARNING)
Definition: CommonMessaging.h:101
Service::start
StatusCode start() override
Definition: Service.cpp:129
std::vector::resize
T resize(T... args)
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192
Gaudi::Concurrency::ConcurrencyFlags::numConcurrentEvents
static GAUDI_API std::size_t numConcurrentEvents()
number of Concurrent Events (for MT)
Definition: ConcurrencyFlags.h:47

## ◆ unSetCurrentAlg()

StatusCode AlgContextSvc::unSetCurrentAlg | ( | IAlgorithm * | a,
|  | const EventContext & | context
| ) |  |
| override

remove the algorithm ("pop_back")

See also
  IAlgContextSvc

Definition at line 118 of file AlgContextSvc.cpp.

118 {
119 // check whether thread-local algorithm list already exists
120 // if not, create it
121 if ( !m_algorithms.get() ) { m_algorithms.reset( new IAlgContextSvc::Algorithms() ); }
122
123 if ( !a ) {
124 warning() << "IAlgorithm* points to NULL" << endmsg;
125 return StatusCode::RECOVERABLE;
126 }
127
128 if ( !m_bypassInc ) {
129 if ( !m_inEvtLoop[context.valid() ? context.slot() : 0] ) return StatusCode::SUCCESS;
130 }
131
132 if ( a->type() != "IncidentProcAlg" ) {
133 // if ( m_algorithms->empty() || m_algorithms->back() != a ){
134 // error() << "Algorithm stack is invalid" << endmsg ;
135 // return StatusCode::FAILURE ;
136 // }
137 if ( !m_algorithms->empty() ) {
138 if ( m_algorithms->back() == a ) { m_algorithms->pop_back(); }
139 }
140 }
141 return StatusCode::SUCCESS;
142 }
AlgContextSvc::m_inEvtLoop
std::vector< int > m_inEvtLoop
Definition: AlgContextSvc.h:73
EventContext::slot
ContextID_t slot() const
Definition: EventContext.h:41
IAlgorithm::type
virtual const std::string & type() const =0
The type of the algorithm.
CommonMessagingBase::warning
MsgStream & warning() const
shortcut for the method msgStream(MSG::WARNING)
Definition: CommonMessaging.h:101
AlgContextSvc::m_bypassInc
Gaudi::Property< bool > m_bypassInc
Definition: AlgContextSvc.h:71
StatusCode::RECOVERABLE
constexpr static const auto RECOVERABLE
Definition: StatusCode.h:87
StatusCode::SUCCESS
constexpr static const auto SUCCESS
Definition: StatusCode.h:85
EventContext::valid
bool valid() const
Definition: EventContext.h:44
AlgContextSvc::m_algorithms
boost::thread_specific_ptr< IAlgContextSvc::Algorithms > m_algorithms
the stack of current algorithms
Definition: AlgContextSvc.h:66
std::vector< IAlgorithm * >
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## Member Data Documentation

## ◆ m_algorithms

boost::thread_specific_ptr<IAlgContextSvc::Algorithms> AlgContextSvc::m_algorithms
| private

the stack of current algorithms

Definition at line 66 of file AlgContextSvc.h.

## ◆ m_bypassInc

Gaudi::Property<bool> AlgContextSvc::m_bypassInc
| private

Initial value:
{this, "BypassIncidents", false,
"Flag to bypass begin/endevent incident requirement"}

Definition at line 71 of file AlgContextSvc.h.

## ◆ m_check

Gaudi::Property<bool> AlgContextSvc::m_check {this, "Check", true, "Flag to perform more checks"}
| private

Definition at line 70 of file AlgContextSvc.h.

## ◆ m_inc

SmartIF<IIncidentSvc> AlgContextSvc::m_inc = nullptr
| private

pointer to Incident Service

Definition at line 68 of file AlgContextSvc.h.

## ◆ m_inEvtLoop

std::vector<int> AlgContextSvc::m_inEvtLoop
| private

Definition at line 73 of file AlgContextSvc.h.

The documentation for this class was generated from the following files:

- GaudiCommonSvc/src/AlgContextSvc.h
- GaudiCommonSvc/src/AlgContextSvc.cpp